/* This is the most basic for of an armour. We will make an armour
   worn on the body and set the armour class, the weight, and the
   value of the armour  -Locksley */

inherit "obj/armour";

   reset(arg) {
        
	::reset(arg);
        if ( arg ) return;

        set_name("mail");  /* Sets the id of the armour. This is used in such
                              cases as if(!present("mail")) etc. You can also
                              use Mail, MaiL, or MAIL etc. <- This is useful
                              for when making special armours as one for a
                              quest.  */

        set_alias("mail");  /* This sets the alias of the armour which is the
                               string that the player uses to identify the                               
                               armour. i.e 'wear mail' 'drop mail'...mail is
                               the alias. */
     
        set_alt_name("chainmail"); /* This sets an alternative name to mail.
                                      now the player is able to type either
                                      'wear mail' or 'wear chainmail' etc */

        set_short("a chainmail");  /* This sets the short description of the
                                      armour which is seen in the inventory
                                      command and whenever another player 
                                      looks at you  */

        set_long("This is just is a suit of chainmail.\n"+
                 "It should protect you well.\n");

                        /* This sets the long description of the armour which
                           is seen whenever the object is looked at. The \n
                           calls for a newline and the + is used when there 
                           is more than one line in the description. */

        set_ac(2);      /* This sets the armour class of the armour. This 
                           should only be set between 1 and 5 of type 'armour'.
                           5 should be vary rare. Too many high level armours
                           will ruin the game. An armour of type other than
                           'armour' must only be set to 1. i.e. type glove
                           boot, amulet, etc.  */

        set_type("armour");  /* This sets the armour type. Armour is worn on
                                the body and is the main piece. The other 
                                types are: boot, glove, amulet, cloak, ring,
                                helmet, and shield. */

        set_weight(3);       /* This sets the armours weight. Type armour
                                should be the heaviest as compared to ring 
                                which should probably be the lightest. Use
                                good judgement when setting the weights of
                                objects. Setting type 'ring' to a weight of
                                4 is much too heavy and a type armour set
                                to weight of one should most likely never
                                be set below 2.  */

        set_value(200);      /* This sets the value of the armour. The value
                                is the amount that the player recieves for 
                                the sale of this object. The price that the
                                player pays for the object in a shop is twice
                                this value. Any object with a value over 1000
                                is automatically destructed upon sale. The
                                shop NEVER pays over 1000 coins for any object
                                so setting the value to 2000 will result in
                                the object destructing when sold but the player
                                will still only recieve 1000 coins. */

        }
